
Redmine - Feature #7839

Limit trackers for new issue to certain roles

2011-03-11 12:43 - Ryan Cross

Status: Closed Start date: 2011-03-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

I'm looking for a way to limit the Tracker Type of new issues for certain users, for instance;

A Project Manager can create a New Feature, but not a New Bug.

A Tester can create a New Bug, but not a New Feature.

In Roles and Permissions, I can give someone "Add Issue" privileges, but I can't limit the type of issues they can add.

I've also tried modifying the Workflow so that a Project Manager has no workflow for a new bug, but this doesn't restrict them from

creating one.

There seems to be lots of related questions or issues for this topic

See:

http://www.redmine.org/boards/2/topics/20599

http://www.redmine.org/boards/1/topics/4809?r=22297#message-22297

http://www.redmine.org/boards/1/topics/15294?r=15305#message-15305

#3726

#973

#2467

#285

#1462

#2791

#2240

#2905

#2240

#1966

http://www.redmine.org/boards/1/topics/19832

Related issues:

Related to Redmine - Feature #285: Tracker role-based permissioning Closed

Related to Redmine - Feature #3726: Trackers per Role Closed 2009-08-10

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

Related to Redmine - Feature #2467: To control the permissions of users again... New 2009-01-08

Related to Redmine - Feature #1462: Access control to trackers by user roles/... Closed 2008-06-16

Related to Redmine - Feature #2905: Enable per-tracker issue status set Closed 2009-03-05

Has duplicate Redmine - Feature #10043: Limiter un role ou un utilisateur a u... Closed

Has duplicate Redmine - Defect #12718: User with role without any worflow rig... Closed

Associated revisions

Revision 15430 - 2016-05-30 20:20 - Jean-Philippe Lang

Adds Issue#allowed_target_trackers (#7839).

Revision 15464 - 2016-06-05 12:06 - Jean-Philippe Lang

Limit trackers for new issue to certain roles (#7839).

Revision 15472 - 2016-06-06 07:17 - Toshi MARUYAMA

generate i18 keys (#7839)
Revision 15478 - 2016-06-06 11:41 - Jean-Philippe Lang

Merged 15430, 15464 to 15469, 15475, 15476 (#285, #7839).

Revision 15480 - 2016-06-06 12:04 - Toshi MARUYAMA

Merged r15472 from trunk to 3.3-stable (#7839)

generate i18n keys.

History

#1 - 2011-03-11 12:47 - Ryan Cross

I should add that this seems like it would make a lot of sense to include in the 1.2 version when refactoring the issues permissions.

#2 - 2011-03-11 12:48 - Ryan Cross

another related discussion http://www.redmine.org/boards/3/topics/7264?r=7288#message-7288

#3 - 2011-03-11 14:12 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #2791.

#4 - 2011-03-11 14:31 - Ryan Cross

- Status changed from Closed to Reopened

I listed that issue as a duplicate in my comment, but none of these issues seem to be getting any attention. The issue you listed is over 2 years old

and has no follow up.

Can someone please address what the status of this issue is? Is is possible to assign this (or one of the other duplicates) to a version/milestone?

#5 - 2011-03-11 15:00 - Etienne Massip

- Status changed from Reopened to Closed

You can propose a patch in #2791 if you need this to be treated faster.

#6 - 2011-03-11 15:23 - Ryan Cross

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Etienne, this isn't about a patch. Its about making sure the issue is looked at properly. None of the issues I found, or the one you proposed is on

anyone's radar.

If this is a "Won't fix", that's fine but no body is even looking at the issue. There are lots of references to this general problem, but no single issue

where anyone can collaborate or realize its even an issue.

Please consider connecting these dots into a unified issue if that is what you want to do, but just closing this issue again is eliminating it from

attention.

#7 - 2011-03-11 15:26 - Ryan Cross

I should clarify - its not about a patch YET. If we can discuss the issue and get some consensus on how to address the issue, then we can look at

getting a patch made.

#8 - 2011-03-11 17:01 - Etienne Massip

- Status changed from Reopened to Closed

Closed as duplicate of #285.

#9 - 2011-03-11 17:09 - Etienne Massip

I'm trying to do the same thing as you, that is to have only one or two issue only to be able to focus on.

Theses original issues are usually the ones duplicated and so, the ones to be kept opened.
#10 - 2011-03-11 17:09 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

#11 - 2013-01-08 19:48 - Jean-Philippe Lang

- Subject changed from Limit or Restrict new issue types to certain users to Limit trackers for new issue to certain roles

- Status changed from Closed to New

- Resolution deleted (Duplicate)

I'm reopening it as it's a subset and more specific than #285.

#12 - 2013-01-09 00:05 - Terence Mill

+1

#13 - 2013-10-07 16:42 - ilqar Caferov

+1

#14 - 2013-11-06 15:51 - Sam He

+1

#15 - 2013-11-06 15:56 - Sam He

Actually, can we define a special status like 'null' to represent a issue to be created ? Thus we can leverage the existing workflow function to control

which role is able to create the tracker.

#16 - 2013-11-30 08:40 - Toshi MARUYAMA

- Related to Feature #3726: Trackers per Role added

#17 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #973: Assign different status sets and workflows for separate projects added

#18 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #2467: To control the permissions of users against 'Tracker', 'Category' and so on. added

#19 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #1462: Access control to trackers by user roles/profiles added

#20 - 2013-11-30 08:41 - Toshi MARUYAMA

- Related to Feature #2905: Enable per-tracker issue status set added

#21 - 2014-12-17 11:21 - Marius Garbea

toshio harita MARUYAMA

I understand that this feature is implemented.

In which version?

In which build?

Actually, there's a list of features that are reported here as implemented. Each of them suggested an implementation. How are each of them

implemented?

#22 - 2015-01-15 11:41 - Toshi MARUYAMA

Not implemented yet.

#23 - 2015-03-04 08:15 - Malan Van Eck

Hi there Guys!

I had a problem with the permissions and then I got to this post,

I started reading it and got very very Happy.

Until I got to the end and saw that there is no release for this.

PLEEEEEEEEEEAAAAAAASSSSSS Make this change! It will help a lot of people!

:-)
#24 - 2015-06-05 16:36 - Franck VALETAS

+1

#25 - 2015-06-12 19:05 - Zer Guz

+1

We have added a tracker "Task" and want only the managers to be able to add/edit it.

#26 - 2015-07-02 06:01 - Alex Petty

+1

This is very much needed! (Does anyone have happen to have a 3.0.x compatible patch for this?)

Hopefully Jean-Phillipe Lang (and his core team) will recognize the importance of this feature and add it to Redmine's next version.

The end-to-end for how I envision this working is:

(1) Administrator creates a role (let's call it role A)

(2) Administrator assigns a user (or group) role A.

(3) Through the implementation of this feature, the administrator will be able to define which tracker-types that role A is capable of creating (so long as

role A has been assigned the "add issue" permission)

(4) When the user possessing role A (and also having the "add issue" permission) clicks the "New Issue" tab, the user will see only those trackers

which were defined as "can create this tracker" to role A.

(5) If the user has multiple roles with "can create this tracker" defined, each having their own set of permissible trackers, the user will be able to create

the super-set of all trackers from all assigned roles.

This would truly be a GREAT and VALUABLE feature for Redmine's overall flexibility in configuration, and would be hugely appreciate by many!!

+1000

-Alex Petty

#27 - 2015-11-09 16:54 - Anton Titkov

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

#28 - 2015-11-11 15:13 - Anton Titkov

Anton Titkov wrote:

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

 Hello guys!

Has enybody tested the plugin?

It allows to hide issues under selected tracker for roles/users within a project. It solves the subject partly as i see.

It would be nice to get some feeback from you!

Thanks!

#29 - 2015-11-19 16:58 - Sebastian Paluch

+1

#30 - 2016-04-12 05:14 - Radek Chan

I tested the plugin. User is still able to create a new issue, but it cannot view it after that.

Anton Titkov wrote:

Anton Titkov wrote:

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

 Hello guys!

Has enybody tested the plugin?

It allows to hide issues under selected tracker for roles/users within a project. It solves the subject partly as i see.

It would be nice to get some feeback from you!

Thanks!
#31 - 2016-06-05 12:33 - Steven Wong

yes, just as Radek said.

I think it should according by users or roles to control whether to create or edit or view the issues with trackers?

Radek Chan wrote:

I tested the plugin. User is still able to create a new issue, but it cannot view it after that.

Anton Titkov wrote:

Anton Titkov wrote:

Hello everyone!

Please check a plugin http://www.redmine.org/plugins/tracker_hider and share your thoughts. Thanks!

 Hello guys!

Has enybody tested the plugin?

It allows to hide issues under selected tracker for roles/users within a project. It solves the subject partly as i see.

It would be nice to get some feeback from you!

Thanks!

 

#32 - 2016-06-06 12:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Implemented as part of #285 in 3.3.0.
